# Version SVN: $Id: 10_roles.yml 3470 2014-06-09 13:34:07Z sven.poeche $
Role:
  admin:
    weight:                     0
    status:                     3
    created_at:                 ~
    updated_at:                 ~
  moderator:
    weight:                     0
    status:                     3
    created_at:                 ~
    updated_at:                 ~
  user:
    weight:                     0
    status:                     3
    created_at:                 ~
    updated_at:                 ~
  channel_admin:
    weight:                     0
    status:                     3
    created_at:                 ~
    updated_at:                 ~
  channel_moderator:
    weight:                     0
    status:                     3
    created_at:                 ~
    updated_at:                 ~
  channel_user:
    weight:                     0
    status:                     3
    created_at:                 ~
    updated_at:                 ~

RoleI18n:
  admin_de:
    rid:                        admin
    culture:                    de
    name:                       Administrator
  admin_en:
    rid:                        admin
    culture:                    en
    name:                       administrator
  moderator_de:
    rid:                        moderator
    culture:                    de
    name:                       Moderator
  moderator_en:
    rid:                        moderator
    culture:                    en
    name:                       moderator
  user_de:
    rid:                        user
    culture:                    de
    name:                       Benutzer
  user_en:
    rid:                        user
    culture:                    en
    name:                       user
  channel_admin_de:
    rid:                        channel_admin
    culture:                    de
    name:                       Channel Administrator
  channel_admin_en:
    rid:                        channel_admin
    culture:                    en
    name:                       channel administrator
  channel_moderator_de:
    rid:                        channel_moderator
    culture:                    de
    name:                       Channel Moderator
  channel_moderator_en:
    rid:                        channel_moderator
    culture:                    en
    name:                       channel moderator
  channel_user_de:
    rid:                        channel_user
    culture:                    de
    name:                       Channel Benutzer
  channel_user_en:
    rid:                        channel_user
    culture:                    en
    name:                       channel user

RolePermission:
  admin_permission01:
    rid:                        admin
    perm:                       access media
    created_at:                 ~
  admin_permission02:
    rid:                        admin
    perm:                       access video
    created_at:                 ~
  admin_permission03:
    rid:                        admin
    perm:                       access photo
    created_at:                 ~
  admin_permission04:
    rid:                        admin
    perm:                       access audio
    created_at:                 ~
  admin_permission041:
    rid:                        admin
    perm:                       access youtube
    created_at:                 ~
  admin_permission05:
    rid:                        admin
    perm:                       access document
    created_at:                 ~
  admin_permission06:
    rid:                        admin
    perm:                       upload media
    created_at:                 ~
  admin_permission07:
    rid:                        admin
    perm:                       upload video
    created_at:                 ~
  admin_permission08:
    rid:                        admin
    perm:                       upload photo
    created_at:                 ~
  admin_permission09:
    rid:                        admin
    perm:                       upload audio
    created_at:                 ~
  admin_permission10:
    rid:                        admin
    perm:                       upload document
    created_at:                 ~
  admin_permission11:
    rid:                        admin
    perm:                       rate media
    created_at:                 ~
  admin_permission111:
    rid:                        admin
    perm:                       like media
    created_at:                 ~
  admin_permission12:
    rid:                        admin
    perm:                       search media
    created_at:                 ~
  admin_permission13:
    rid:                        admin
    perm:                       use advanced search
    created_at:                 ~
  admin_permission14:
    rid:                        admin
    perm:                       edit own media
    created_at:                 ~
  admin_permission15:
    rid:                        admin
    perm:                       edit media
    created_at:                 ~
  admin_permission151:
    rid:                        admin
    perm:                       delete own media
    created_at:                 ~
  admin_permission152:
    rid:                        admin
    perm:                       delete media
    created_at:                 ~
  admin_permission153:
    rid:                        admin
    perm:                       flag own media
    created_at:                 ~
  admin_permission154:
    rid:                        admin
    perm:                       flag media
    created_at:                 ~
  admin_permission16:
    rid:                        admin
    perm:                       administer media
    created_at:                 ~
  admin_permission161:
    rid:                        admin
    perm:                       administer upload
    created_at:                 ~
  admin_permission17:
    rid:                        admin
    perm:                       access user profile
    created_at:                 ~
  admin_permission18:
    rid:                        admin
    perm:                       edit own user profile
    created_at:                 ~
  admin_permission19:
    rid:                        admin
    perm:                       edit user profile
    created_at:                 ~
  admin_permission191:
    rid:                        admin
    perm:                       delete user profile
    created_at:                 ~
  admin_permission192:
    rid:                        admin
    perm:                       delete own user profile
    created_at:                 ~
  admin_permission193:
    rid:                        admin
    perm:                       flag user profile
    created_at:                 ~
  admin_permission194:
    rid:                        admin
    perm:                       flag own user profile
    created_at:                 ~
  admin_permission20:
    rid:                        admin
    perm:                       administer user
    created_at:                 ~
  admin_permission201:
    rid:                        admin
    perm:                       change password
    created_at:                 ~
  admin_permission202:
    rid:                        admin
    perm:                       change own password
    created_at:                 ~
  admin_permission21:
    rid:                        admin
    perm:                       access tag
    created_at:                 ~
  admin_permission22:
    rid:                        admin
    perm:                       create tag
    created_at:                 ~
  admin_permission23:
    rid:                        admin
    perm:                       edit own tag
    created_at:                 ~
  admin_permission24:
    rid:                        admin
    perm:                       edit tag
    created_at:                 ~
  admin_permission241:
    rid:                        admin
    perm:                       delete own tag
    created_at:                 ~
  admin_permission242:
    rid:                        admin
    perm:                       delete tag
    created_at:                 ~
  admin_permission25:
    rid:                        admin
    perm:                       search tag
    created_at:                 ~
  admin_permission26:
    rid:                        admin
    perm:                       administer tag
    created_at:                 ~
# admin_permission27:
#   rid:                        admin
#   perm:                       access category
#   created_at:                 ~
  admin_permission28:
    rid:                        admin
    perm:                       administer category
    created_at:                 ~
  admin_permission29:
    rid:                        admin
    perm:                       administer role
    created_at:                 ~
  admin_permission30:
    rid:                        admin
    perm:                       access static text
    created_at:                 ~
  admin_permission31:
    rid:                        admin
    perm:                       search static text
    created_at:                 ~
  admin_permission32:
    rid:                        admin
    perm:                       administer static text
    created_at:                 ~
  admin_permission33:
    rid:                        admin
    perm:                       access blog
    created_at:                 ~
  admin_permission34:
    rid:                        admin
    perm:                       create blog
    created_at:                 ~
  admin_permission341:
    rid:                        admin
    perm:                       rate blog
    created_at:                 ~
  admin_permission342:
    rid:                        admin
    perm:                       like blog
    created_at:                 ~
  admin_permission35:
    rid:                        admin
    perm:                       edit own blog
    created_at:                 ~
  admin_permission36:
    rid:                        admin
    perm:                       edit blog
    created_at:                 ~
  admin_permission361:
    rid:                        admin
    perm:                       delete own blog
    created_at:                 ~
  admin_permission362:
    rid:                        admin
    perm:                       delete blog
    created_at:                 ~
  admin_permission37:
    rid:                        admin
    perm:                       search blog
    created_at:                 ~
  admin_permission38:
    rid:                        admin
    perm:                       administer blog
    created_at:                 ~
  admin_permission39:
    rid:                        admin
    perm:                       access media comment
    created_at:                 ~
  admin_permission40:
    rid:                        admin
    perm:                       post media comment
    created_at:                 ~
  admin_permission41:
    rid:                        admin
    perm:                       edit own media comment
    created_at:                 ~
  admin_permission42:
    rid:                        admin
    perm:                       edit media comment
    created_at:                 ~
  admin_permission421:
    rid:                        admin
    perm:                       delete own media comment
    created_at:                 ~
  admin_permission422:
    rid:                        admin
    perm:                       delete media comment
    created_at:                 ~
  admin_permission43:
    rid:                        admin
    perm:                       search media comment
    created_at:                 ~
  admin_permission44:
    rid:                        admin
    perm:                       administer media comment
    created_at:                 ~
  admin_permission45:
    rid:                        admin
    perm:                       access user comment
    created_at:                 ~
  admin_permission46:
    rid:                        admin
    perm:                       post user comment
    created_at:                 ~
  admin_permission47:
    rid:                        admin
    perm:                       edit own user comment
    created_at:                 ~
  admin_permission48:
    rid:                        admin
    perm:                       edit user comment
    created_at:                 ~
  admin_permission49:
    rid:                        admin
    perm:                       search user comment
    created_at:                 ~
  admin_permission491:
    rid:                        admin
    perm:                       delete own user comment
    created_at:                 ~
  admin_permission492:
    rid:                        admin
    perm:                       delete user comment
    created_at:                 ~
  admin_permission50:
    rid:                        admin
    perm:                       administer user comment
    created_at:                 ~
  admin_permission51:
    rid:                        admin
    perm:                       access blog comment
    created_at:                 ~
  admin_permission52:
    rid:                        admin
    perm:                       post blog comment
    created_at:                 ~
  admin_permission53:
    rid:                        admin
    perm:                       edit own blog comment
    created_at:                 ~
  admin_permission54:
    rid:                        admin
    perm:                       edit blog comment
    created_at:                 ~
  admin_permission541:
    rid:                        admin
    perm:                       delete own blog comment
    created_at:                 ~
  admin_permission542:
    rid:                        admin
    perm:                       delete blog comment
    created_at:                 ~
  admin_permission55:
    rid:                        admin
    perm:                       search blog comment
    created_at:                 ~
  admin_permission56:
    rid:                        admin
    perm:                       administer blog comment
    created_at:                 ~
  admin_permission57:
    rid:                        admin
    perm:                       access administer
    created_at:                 ~
  admin_permission58:
    rid:                        admin
    perm:                       delete own history
    created_at:                 ~
  admin_permission59:
    rid:                        admin
    perm:                       delete history
    created_at:                 ~
  admin_permission60:
    rid:                        admin
    perm:                       create invitation
    created_at:                 ~
  admin_permission61:
    rid:                        admin
    perm:                       delete invitation
    created_at:                 ~
  admin_permission62:
    rid:                        admin
    perm:                       accept invitation
    created_at:                 ~
  admin_permission63:
    rid:                        admin
    perm:                       delete own friend
    created_at:                 ~
  admin_permission64:
    rid:                        admin
    perm:                       delete friend
    created_at:                 ~
  admin_permission65_1:
    rid:                        admin
    perm:                       access forum
    created_at:                 ~
  admin_permission65_2:
    rid:                        admin
    perm:                       post forum
    created_at:                 ~
  admin_permission65_3:
    rid:                        admin
    perm:                       edit own forum
    created_at:                 ~
  admin_permission65_4:
    rid:                        admin
    perm:                       edit forum
    created_at:                 ~
  admin_permission65_5:
    rid:                        admin
    perm:                       delete own forum
    created_at:                 ~
  admin_permission65_6:
    rid:                        admin
    perm:                       delete forum
    created_at:                 ~
  admin_permission65_7:
    rid:                        admin
    perm:                       search forum
    created_at:                 ~
  admin_permission65_8:
    rid:                        admin
    perm:                       administer forum
    created_at:                 ~
  admin_permission65_11:
    rid:                        admin
    perm:                       access forum thread
    created_at:                 ~
  admin_permission65_12:
    rid:                        admin
    perm:                       post forum thread
    created_at:                 ~
  admin_permission65_13:
    rid:                        admin
    perm:                       edit own forum thread
    created_at:                 ~
  admin_permission65_14:
    rid:                        admin
    perm:                       edit forum thread
    created_at:                 ~
  admin_permission65_15:
    rid:                        admin
    perm:                       delete own forum thread
    created_at:                 ~
  admin_permission65_16:
    rid:                        admin
    perm:                       delete forum thread
    created_at:                 ~
  admin_permission65_17:
    rid:                        admin
    perm:                       search forum thread
    created_at:                 ~
  admin_permission65_18:
    rid:                        admin
    perm:                       administer forum thread
    created_at:                 ~
  admin_permission65_21:
    rid:                        admin
    perm:                       access forum comment
    created_at:                 ~
  admin_permission65_22:
    rid:                        admin
    perm:                       post forum comment
    created_at:                 ~
  admin_permission65_23:
    rid:                        admin
    perm:                       edit own forum comment
    created_at:                 ~
  admin_permission65_24:
    rid:                        admin
    perm:                       edit forum comment
    created_at:                 ~
  admin_permission65_25:
    rid:                        admin
    perm:                       delete own forum comment
    created_at:                 ~
  admin_permission65_26:
    rid:                        admin
    perm:                       delete forum comment
    created_at:                 ~
  admin_permission65_27:
    rid:                        admin
    perm:                       search forum comment
    created_at:                 ~
  admin_permission65_28:
    rid:                        admin
    perm:                       administer forum comment
    created_at:                 ~
  admin_permission66:
    rid:                        admin
    perm:                       access group
    created_at:                 ~
  admin_permission67:
    rid:                        admin
    perm:                       create group
    created_at:                 ~
  admin_permission68:
    rid:                        admin
    perm:                       edit own group
    created_at:                 ~
  admin_permission69:
    rid:                        admin
    perm:                       edit group
    created_at:                 ~
  admin_permission70:
    rid:                        admin
    perm:                       delete own group
    created_at:                 ~
  admin_permission71:
    rid:                        admin
    perm:                       delete group
    created_at:                 ~
  admin_permission711:
    rid:                        admin
    perm:                       manage own group media
    created_at:                 ~
  admin_permission712:
    rid:                        admin
    perm:                       manage group media
    created_at:                 ~
  admin_permission713:
    rid:                        admin
    perm:                       manage own group user
    created_at:                 ~
  admin_permission714:
    rid:                        admin
    perm:                       manage group user
    created_at:                 ~
  admin_permission72:
    rid:                        admin
    perm:                       search group
    created_at:                 ~
  admin_permission73:
    rid:                        admin
    perm:                       administer group
    created_at:                 ~
  admin_permission74:
    rid:                        admin
    perm:                       access channel
    created_at:                 ~
  admin_permission75:
    rid:                        admin
    perm:                       administer channel
    created_at:                 ~
  admin_permission76:
    rid:                        admin
    perm:                       create channel
    created_at:                 ~
  admin_permission77:
    rid:                        admin
    perm:                       edit channel
    created_at:                 ~
  admin_permission78:
    rid:                        admin
    perm:                       delete channel
    created_at:                 ~
  admin_permission79:
    rid:                        admin
    perm:                       manage channel media
    created_at:                 ~
  admin_permission80:
    rid:                        admin
    perm:                       manage channel user
    created_at:                 ~


  moderator_permission01:
    rid:                        moderator
    perm:                       access media
    created_at:                 ~
  moderator_permission02:
    rid:                        moderator
    perm:                       access video
    created_at:                 ~
  moderator_permission03:
    rid:                        moderator
    perm:                       access photo
    created_at:                 ~
  moderator_permission04:
    rid:                        moderator
    perm:                       access audio
    created_at:                 ~
  moderator_permission041:
    rid:                        moderator
    perm:                       access youtube
    created_at:                 ~
  moderator_permission05:
    rid:                        moderator
    perm:                       access document
    created_at:                 ~
  moderator_permission06:
    rid:                        moderator
    perm:                       upload media
    created_at:                 ~
  moderator_permission07:
    rid:                        moderator
    perm:                       upload video
    created_at:                 ~
  moderator_permission08:
    rid:                        moderator
    perm:                       upload photo
    created_at:                 ~
  moderator_permission09:
    rid:                        moderator
    perm:                       upload audio
    created_at:                 ~
  moderator_permission10:
    rid:                        moderator
    perm:                       upload document
    created_at:                 ~
  moderator_permission11:
    rid:                        moderator
    perm:                       rate media
    created_at:                 ~
  moderator_permission111:
    rid:                        moderator
    perm:                       like media
    created_at:                 ~
  moderator_permission12:
    rid:                        moderator
    perm:                       search media
    created_at:                 ~
  moderator_permission13:
    rid:                        moderator
    perm:                       use advanced search
    created_at:                 ~
  moderator_permission14:
    rid:                        moderator
    perm:                       edit own media
    created_at:                 ~
  moderator_permission15:
    rid:                        moderator
    perm:                       edit media
    created_at:                 ~
  moderator_permission151:
    rid:                        moderator
    perm:                       delete own media
    created_at:                 ~
  moderator_permission152:
    rid:                        moderator
    perm:                       delete media
    created_at:                 ~
  moderator_permission153:
    rid:                        moderator
    perm:                       flag own media
    created_at:                 ~
  moderator_permission154:
    rid:                        moderator
    perm:                       flag media
    created_at:                 ~
# moderator_permission16:
#   rid:                        moderator
#   perm:                       administer media
#   created_at:                 ~
# moderator_permission161:
#   rid:                        moderator
#   perm:                       administer upload
#   created_at:                 ~
  moderator_permission17:
    rid:                        moderator
    perm:                       access user profile
    created_at:                 ~
  moderator_permission18:
    rid:                        moderator
    perm:                       edit own user profile
    created_at:                 ~
  moderator_permission19:
    rid:                        moderator
    perm:                       edit user profile
    created_at:                 ~
#  moderator_permission191:
#    rid:                       moderator
#    perm:                      delete user profile
#    created_at:                ~
  moderator_permission192:
    rid:                        moderator
    perm:                       delete own user profile
    created_at:                 ~
  moderator_permission193:
    rid:                        moderator
    perm:                       flag user profile
    created_at:                 ~
  moderator_permission194:
    rid:                        moderator
    perm:                       flag own user profile
    created_at:                 ~
# moderator_permission20:
#   rid:                        moderator
#   perm:                       administer user
#   created_at:                 ~
#  moderator_permission201:
#    rid:                        moderator
#    perm:                       change password
#    created_at:                 ~
  moderator_permission202:
    rid:                        moderator
    perm:                       change own password
    created_at:                 ~
  moderator_permission21:
    rid:                        moderator
    perm:                       access tag
    created_at:                 ~
  moderator_permission22:
    rid:                        moderator
    perm:                       create tag
    created_at:                 ~
  moderator_permission23:
    rid:                        moderator
    perm:                       edit own tag
    created_at:                 ~
  moderator_permission24:
    rid:                        moderator
    perm:                       edit tag
    created_at:                 ~
  moderator_permission241:
    rid:                        moderator
    perm:                       delete own tag
    created_at:                 ~
  moderator_permission242:
    rid:                        moderator
    perm:                       delete tag
    created_at:                 ~
  moderator_permission25:
    rid:                        moderator
    perm:                       search tag
    created_at:                 ~
# moderator_permission26:
#   rid:                        moderator
#   perm:                       administer tag
#   created_at:                 ~
# moderator_permission27:
#   rid:                        moderator
#   perm:                       access category
#   created_at:                 ~
# moderator_permission28:
#   rid:                        moderator
#   perm:                       administer category
#   created_at:                 ~
# moderator_permission29:
#   rid:                        moderator
#   perm:                       administer role
#   created_at:                 ~
  moderator_permission30:
    rid:                        moderator
    perm:                       access static text
    created_at:                 ~
  moderator_permission31:
    rid:                        moderator
    perm:                       search static text
    created_at:                 ~
# moderator_permission32:
#   rid:                        moderator
#   perm:                       administer static text
#   created_at:                 ~
  moderator_permission33:
    rid:                        moderator
    perm:                       access blog
    created_at:                 ~
  moderator_permission34:
    rid:                        moderator
    perm:                       create blog
    created_at:                 ~
  moderator_permission341:
    rid:                        moderator
    perm:                       rate blog
    created_at:                 ~
  moderator_permission342:
    rid:                        moderator
    perm:                       like blog
    created_at:                 ~
  moderator_permission35:
    rid:                        moderator
    perm:                       edit own blog
    created_at:                 ~
  moderator_permission36:
    rid:                        moderator
    perm:                       edit blog
    created_at:                 ~
  moderator_permission361:
    rid:                        moderator
    perm:                       delete own blog
    created_at:                 ~
  moderator_permission362:
    rid:                        moderator
    perm:                       delete blog
    created_at:                 ~
  moderator_permission37:
    rid:                        moderator
    perm:                       search blog
    created_at:                 ~
# moderator_permission38:
#   rid:                        moderator
#   perm:                       administer blog
#   created_at:                 ~
  moderator_permission39:
    rid:                        moderator
    perm:                       access media comment
    created_at:                 ~
  moderator_permission40:
    rid:                        moderator
    perm:                       post media comment
    created_at:                 ~
  moderator_permission41:
    rid:                        moderator
    perm:                       edit own media comment
    created_at:                 ~
  moderator_permission42:
    rid:                        moderator
    perm:                       edit media comment
    created_at:                 ~
  moderator_permission421:
    rid:                        moderator
    perm:                       delete own media comment
    created_at:                 ~
  moderator_permission422:
    rid:                        moderator
    perm:                       delete media comment
    created_at:                 ~
  moderator_permission43:
    rid:                        moderator
    perm:                       search media comment
    created_at:                 ~
# moderator_permission44:
#   rid:                        moderator
#   perm:                       administer media comment
#   created_at:                 ~
  moderator_permission45:
    rid:                        moderator
    perm:                       access user comment
    created_at:                 ~
  moderator_permission46:
    rid:                        moderator
    perm:                       post user comment
    created_at:                 ~
  moderator_permission47:
    rid:                        moderator
    perm:                       edit own user comment
    created_at:                 ~
  moderator_permission48:
    rid:                        moderator
    perm:                       edit user comment
    created_at:                 ~
  moderator_permission49:
    rid:                        moderator
    perm:                       search user comment
    created_at:                 ~
  moderator_permission491:
    rid:                        moderator
    perm:                       delete user comment
    created_at:                 ~
  moderator_permission492:
    rid:                        moderator
    perm:                       delete own user comment
    created_at:                 ~
# moderator_permission50:
#   rid:                        moderator
#   perm:                       administer user comment
#   created_at:                 ~
  moderator_permission51:
    rid:                        moderator
    perm:                       access blog comment
    created_at:                 ~
  moderator_permission52:
    rid:                        moderator
    perm:                       post blog comment
    created_at:                 ~
  moderator_permission53:
    rid:                        moderator
    perm:                       edit own blog comment
    created_at:                 ~
  moderator_permission54:
    rid:                        moderator
    perm:                       edit blog comment
    created_at:                 ~
  moderator_permission541:
    rid:                        moderator
    perm:                       delete own blog comment
    created_at:                 ~
  moderator_permission542:
    rid:                        moderator
    perm:                       delete blog comment
    created_at:                 ~
  moderator_permission55:
    rid:                        moderator
    perm:                       search blog comment
    created_at:                 ~
# moderator_permission56:
#   rid:                        moderator
#   perm:                       administer blog comment
#   created_at:                 ~
# moderator_permission57:
#   rid:                        moderator
#   perm:                       access administer
#   created_at:                 ~
  moderator_permission58:
    rid:                        moderator
    perm:                       delete own history
    created_at:                 ~
  moderator_permission59:
    rid:                        moderator
    perm:                       delete history
    created_at:                 ~
  moderator_permission60:
    rid:                        moderator
    perm:                       create invitation
    created_at:                 ~
  moderator_permission61:
    rid:                        moderator
    perm:                       delete invitation
    created_at:                 ~
  moderator_permission62:
    rid:                        moderator
    perm:                       accept invitation
    created_at:                 ~
  moderator_permission63:
    rid:                        moderator
    perm:                       delete own friend
    created_at:                 ~
  moderator_permission64:
    rid:                        moderator
    perm:                       delete friend
    created_at:                 ~
  moderator_permission65_1:
    rid:                        moderator
    perm:                       access forum
    created_at:                 ~
  moderator_permission65_2:
    rid:                        moderator
    perm:                       post forum
    created_at:                 ~
  moderator_permission65_3:
    rid:                        moderator
    perm:                       edit own forum
    created_at:                 ~
  moderator_permission65_4:
    rid:                        moderator
    perm:                       edit forum
    created_at:                 ~
  moderator_permission65_5:
    rid:                        moderator
    perm:                       delete own forum
    created_at:                 ~
  moderator_permission65_6:
    rid:                        moderator
    perm:                       delete forum
    created_at:                 ~
  moderator_permission65_7:
    rid:                        moderator
    perm:                       search forum
    created_at:                 ~
# moderator_permission65_8:
#   rid:                        moderator
#   perm:                       administer forum
#   created_at:                 ~
# moderator_permission65_11:
    rid:                        moderator
    perm:                       access forum thread
    created_at:                 ~
  moderator_permission65_12:
    rid:                        moderator
    perm:                       post forum thread
    created_at:                 ~
  moderator_permission65_13:
    rid:                        moderator
    perm:                       edit own forum thread
    created_at:                 ~
  moderator_permission65_14:
    rid:                        moderator
    perm:                       edit forum thread
    created_at:                 ~
  moderator_permission65_15:
    rid:                        moderator
    perm:                       delete own forum thread
    created_at:                 ~
  moderator_permission65_16:
    rid:                        moderator
    perm:                       delete forum thread
    created_at:                 ~
  moderator_permission65_17:
    rid:                        moderator
    perm:                       search forum thread
    created_at:                 ~
# moderator_permission65_18:
#   rid:                        moderator
#   perm:                       administer forum thread
#   created_at:                 ~
  moderator_permission65_21:
    rid:                        moderator
    perm:                       access forum comment
    created_at:                 ~
  moderator_permission65_22:
    rid:                        moderator
    perm:                       post forum comment
    created_at:                 ~
  moderator_permission65_23:
    rid:                        moderator
    perm:                       edit own forum comment
    created_at:                 ~
  moderator_permission65_24:
    rid:                        moderator
    perm:                       edit forum comment
    created_at:                 ~
  moderator_permission65_25:
    rid:                        moderator
    perm:                       delete own forum comment
    created_at:                 ~
  moderator_permission65_26:
    rid:                        moderator
    perm:                       delete forum comment
    created_at:                 ~
  moderator_permission65_27:
    rid:                        moderator
    perm:                       search forum comment
    created_at:                 ~
# moderator_permission65_28:
#   rid:                        moderator
#   perm:                       administer forum comment
#   created_at:                 ~
  moderator_permission66:
    rid:                        moderator
    perm:                       access group
    created_at:                 ~
  moderator_permission67:
    rid:                        moderator
    perm:                       create group
    created_at:                 ~
  moderator_permission68:
    rid:                        moderator
    perm:                       edit own group
    created_at:                 ~
  moderator_permission69:
    rid:                        moderator
    perm:                       edit group
    created_at:                 ~
  moderator_permission70:
    rid:                        moderator
    perm:                       delete own group
    created_at:                 ~
  moderator_permission71:
    rid:                        moderator
    perm:                       delete group
    created_at:                 ~
  moderator_permission711:
    rid:                        moderator
    perm:                       manage own group media
    created_at:                 ~
  moderator_permission712:
    rid:                        moderator
    perm:                       manage group media
    created_at:                 ~
  moderator_permission713:
    rid:                        moderator
    perm:                       manage own group user
    created_at:                 ~
  moderator_permission714:
    rid:                        moderator
    perm:                       manage group user
    created_at:                 ~
  moderator_permission72:
    rid:                        moderator
    perm:                       search group
    created_at:                 ~
# moderator_permission73:
#   rid:                        moderator
#   perm:                       administer group
#   created_at:                 ~
  moderator_permission74:
    rid:                        moderator
    perm:                       access channel
    created_at:                 ~
# moderator_permission75:
#   rid:                        moderator
#   perm:                       administer channel
#   created_at:                 ~
# moderator_permission76:
#   rid:                        moderator
#   perm:                       create channel
#   created_at:                 ~
# moderator_permission77:
#   rid:                        moderator
#   perm:                       edit channel
#   created_at:                 ~
# moderator_permission78:
#   rid:                        moderator
#   perm:                       delete channel
#   created_at:                 ~
  moderator_permission79:
    rid:                        moderator
    perm:                       manage channel media
    created_at:                 ~
  moderator_permission80:
    rid:                        moderator
    perm:                       manage channel user
    created_at:                 ~


  user_permission01:
    rid:                        user
    perm:                       access media
    created_at:                 ~
  user_permission02:
    rid:                        user
    perm:                       access video
    created_at:                 ~
  user_permission03:
    rid:                        user
    perm:                       access photo
    created_at:                 ~
  user_permission04:
    rid:                        user
    perm:                       access audio
    created_at:                 ~
  user_permission041:
    rid:                        user
    perm:                       access youtube
    created_at:                 ~
  user_permission05:
    rid:                        user
    perm:                       access document
    created_at:                 ~
  user_permission06:
    rid:                        user
    perm:                       upload media
    created_at:                 ~
  user_permission07:
    rid:                        user
    perm:                       upload video
    created_at:                 ~
  user_permission08:
    rid:                        user
    perm:                       upload photo
    created_at:                 ~
  user_permission09:
    rid:                        user
    perm:                       upload audio
    created_at:                 ~
  user_permission10:
    rid:                        user
    perm:                       upload document
    created_at:                 ~
  user_permission11:
    rid:                        user
    perm:                       rate media
    created_at:                 ~
  user_permission111:
    rid:                        user
    perm:                       like media
    created_at:                 ~
  user_permission12:
    rid:                        user
    perm:                       search media
    created_at:                 ~
  user_permission13:
    rid:                        user
    perm:                       use advanced search
    created_at:                 ~
  user_permission14:
    rid:                        user
    perm:                       edit own media
    created_at:                 ~
# user_permission15:
#   rid:                        user
#   perm:                       edit media
#   created_at:                 ~
  user_permission151:
    rid:                        user
    perm:                       delete own media
    created_at:                 ~
# user_permission152:
#   rid:                        user
#   perm:                       delete media
#   created_at:                 ~
# user_permission153:
#   rid:                        user
#   perm:                       flag own media
#   created_at:                 ~
  user_permission154:
    rid:                        user
    perm:                       flag media
    created_at:                 ~
# user_permission16:
#   rid:                        user
#   perm:                       administer media
#   created_at:                 ~
# user_permission161:
#   rid:                        user
#   perm:                       administer upload
#   created_at:                 ~
  user_permission17:
    rid:                        user
    perm:                       access user profile
    created_at:                 ~
  user_permission18:
    rid:                        user
    perm:                       edit own user profile
    created_at:                 ~
# user_permission19:
#   rid:                        user
#   perm:                       edit user profile
#   created_at:                 ~
#  user_permission191:
#    rid:                       user
#    perm:                      delete user profile
#    created_at:                ~
  user_permission192:
    rid:                        user
    perm:                       delete own user profile
    created_at:                 ~
  user_permission193:
    rid:                        user
    perm:                       flag user profile
    created_at:                 ~
# user_permission194:
#   rid:                        user
#   perm:                       flag own user profile
#   created_at:                 ~
# user_permission20:
#   rid:                        user
#   perm:                       administer user
#   created_at:                 ~
#  user_permission201:
#    rid:                        user
#    perm:                       change password
#    created_at:                 ~
  user_permission202:
    rid:                        user
    perm:                       change own password
    created_at:                 ~
  user_permission21:
    rid:                        user
    perm:                       access tag
    created_at:                 ~
  user_permission22:
    rid:                        user
    perm:                       create tag
    created_at:                 ~
  user_permission23:
    rid:                        user
    perm:                       edit own tag
    created_at:                 ~
# user_permission24:
#   rid:                        user
#   perm:                       edit tag
#   created_at:                 ~
  user_permission241:
    rid:                        user
    perm:                       delete own tag
    created_at:                 ~
# user_permission242:
#   rid:                        user
#   perm:                       delete tag
#   created_at:                 ~
  user_permission25:
    rid:                        user
    perm:                       search tag
    created_at:                 ~
# user_permission26:
#   rid:                        user
#   perm:                       administer tag
#   created_at:                 ~
# user_permission27:
#   rid:                        user
#   perm:                       access category
#   created_at:                 ~
# user_permission28:
#   rid:                        user
#   perm:                       administer category
#   created_at:                 ~
# user_permission29:
#   rid:                        user
#   perm:                       administer role
#   created_at:                 ~
  user_permission30:
    rid:                        user
    perm:                       access static text
    created_at:                 ~
  user_permission31:
    rid:                        user
    perm:                       search static text
    created_at:                 ~
# user_permission32:
#   rid:                        user
#   perm:                       administer static text
#   created_at:                 ~
  user_permission33:
    rid:                        user
    perm:                       access blog
    created_at:                 ~
  user_permission34:
    rid:                        user
    perm:                       create blog
    created_at:                 ~
  user_permission341:
    rid:                        user
    perm:                       rate blog
    created_at:                 ~
  user_permission342:
    rid:                        user
    perm:                       like blog
    created_at:                 ~
  user_permission35:
    rid:                        user
    perm:                       edit own blog
    created_at:                 ~
# user_permission36:
#   rid:                        user
#   perm:                       edit blog
#   created_at:                 ~
  user_permission361:
    rid:                        user
    perm:                       delete own blog
    created_at:                 ~
#  user_permission362:
#    rid:                        user
#    perm:                       delete blog
#    created_at:                 ~
  user_permission37:
    rid:                        user
    perm:                       search blog
    created_at:                 ~
# user_permission38:
#   rid:                        user
#   perm:                       administer blog
#   created_at:                 ~
  user_permission39:
    rid:                        user
    perm:                       access media comment
    created_at:                 ~
  user_permission40:
    rid:                        user
    perm:                       post media comment
    created_at:                 ~
  user_permission41:
    rid:                        user
    perm:                       edit own media comment
    created_at:                 ~
# user_permission42:
#   rid:                        user
#   perm:                       edit media comment
#   created_at:                 ~
  user_permission421:
    rid:                        user
    perm:                       delete own media comment
    created_at:                 ~
# user_permission422:
#   rid:                       user
#   perm:                      delete media comment
#   created_at:                 ~
  user_permission43:
    rid:                        user
    perm:                       search media comment
    created_at:                 ~
# user_permission44:
#   rid:                        user
#   perm:                       administer media comment
#   created_at:                 ~
  user_permission45:
    rid:                        user
    perm:                       access user comment
    created_at:                 ~
  user_permission46:
    rid:                        user
    perm:                       post user comment
    created_at:                 ~
  user_permission47:
    rid:                        user
    perm:                       edit own user comment
    created_at:                 ~
# user_permission48:
#   rid:                        user
#   perm:                       edit user comment
#   created_at:                 ~
  user_permission49:
    rid:                        user
    perm:                       search user comment
    created_at:                 ~
  user_permission491:
    rid:                        user
    perm:                       delete own user comment
    created_at:                 ~
#  user_permission492:
#    rid:                       user
#    perm:                      delete user comment
#    created_at:                 ~
# user_permission50:
#   rid:                        user
#   perm:                       administer user comment
#   created_at:                 ~
  user_permission51:
    rid:                        user
    perm:                       access blog comment
    created_at:                 ~
  user_permission52:
    rid:                        user
    perm:                       post blog comment
    created_at:                 ~
  user_permission53:
    rid:                        user
    perm:                       edit own blog comment
    created_at:                 ~
# user_permission54:
#   rid:                        user
#   perm:                       edit blog comment
#   created_at:                 ~
  user_permission541:
    rid:                        user
    perm:                       delete own blog comment
    created_at:                 ~
#  user_permission542:
#    rid:                       user
#    perm:                      delete blog comment
#    created_at:                 ~
  user_permission55:
    rid:                        user
    perm:                       search blog comment
    created_at:                 ~
# user_permission56:
#   rid:                        user
#   perm:                       administer blog comment
#   created_at:                 ~
# user_permission57:
#   rid:                        user
#   perm:                       access administer
#   created_at:                 ~
  user_permission58:
    rid:                        user
    perm:                       delete own history
    created_at:                 ~
#  user_permission59:
#    rid:                       user
#    perm:                      delete history
#    created_at:                 ~
  user_permission60:
    rid:                        user
    perm:                       create invitation
    created_at:                 ~
  user_permission61:
    rid:                        user
    perm:                       delete invitation
    created_at:                 ~
  user_permission62:
    rid:                        user
    perm:                       accept invitation
    created_at:                 ~
  user_permission63:
    rid:                        user
    perm:                       delete own friend
    created_at:                 ~
  user_permission64:
    rid:                        user
    perm:                       delete friend
    created_at:                 ~
  user_permission65:
    rid:                        user
    perm:                       post forum comment
    created_at:                 ~
# user_permission651:
#   rid:                        user
#   perm:                       edit forum
#   created_at:                 ~
  user_permission652:
    rid:                        user
    perm:                       edit own forum
    created_at:                 ~
# user_permission653:
#   rid:                        user
#   perm:                       delete forum
#   created_at:                 ~
# user_permission654:
#   rid:                        user
#   perm:                       delete own forum
#   created_at:                 ~
# user_permission655:
#   rid:                        user
#   perm:                       edit forum thread
#   created_at:                 ~
  user_permission656:
    rid:                        user
    perm:                       edit own forum thread
    created_at:                 ~
# user_permission657:
#   rid:                        user
#   perm:                       delete forum thread
#   created_at:                 ~
# user_permission658:
#   rid:                        user
#   perm:                       delete own forum thread
#   created_at:                 ~
# user_permission659:
#   rid:                        user
#   perm:                       edit forum comment
#   created_at:                 ~
  user_permission6510:
    rid:                        user
    perm:                       edit own forum comment
    created_at:                 ~
# user_permission6511:
#   rid:                        user
#   perm:                       delete forum comment
#   created_at:                 ~
# user_permission6512:
#   rid:                        user
#   perm:                       delete own forum comment
    created_at:                 ~
  user_permission66:
    rid:                        user
    perm:                       access group
    created_at:                 ~
  user_permission67:
    rid:                        user
    perm:                       create group
    created_at:                 ~
  user_permission68:
    rid:                        user
    perm:                       edit own group
    created_at:                 ~
# user_permission69:
#   rid:                        user
#   perm:                       edit group
#   created_at:                 ~
  user_permission70:
    rid:                        user
    perm:                       delete own group
    created_at:                 ~
# user_permission71:
#   rid:                        user
#   perm:                       delete group
#   created_at:                 ~
  user_permission711:
    rid:                        user
    perm:                       manage own group media
    created_at:                 ~
# user_permission712:
#   rid:                        user
#   perm:                       manage group media
#   created_at:                 ~
  user_permission713:
    rid:                        user
    perm:                       manage own group user
    created_at:                 ~
# user_permission714:
#   rid:                        user
#   perm:                       manage group user
#   created_at:                 ~
  user_permission72:
    rid:                        user
    perm:                       search group
    created_at:                 ~
# user_permission73:
#   rid:                        user
#   perm:                       administer group
#   created_at:                 ~
  user_permission74:
    rid:                        user
    perm:                       access channel
    created_at:                 ~
# user_permission75:
#   rid:                        user
#   perm:                       administer channel
#   created_at:                 ~
# user_permission76:
#   rid:                        user
#   perm:                       create channel
#   created_at:                 ~
# user_permission77:
#   rid:                        user
#   perm:                       edit channel
#   created_at:                 ~
# user_permission78:
#   rid:                        user
#   perm:                       delete channel
#   created_at:                 ~
# user_permission79:
#   rid:                        user
#   perm:                       manage channel media
#   created_at:                 ~
# user_permission80:
#   rid:                        user
#   perm:                       manage channel user
#   created_at:                 ~


  channel_admin_permission01:
    rid:                        channel_admin
    perm:                       create channel
    created_at:                 ~
  channel_admin_permission02:
    rid:                        channel_admin
    perm:                       edit channel
    created_at:                 ~
  channel_admin_permission03:
    rid:                        channel_admin
    perm:                       delete channel
    created_at:                 ~
  channel_admin_permission04:
    rid:                        channel_admin
    perm:                       manage channel media
    created_at:                 ~
  channel_admin_permission05:
    rid:                        channel_admin
    perm:                       manage channel user
    created_at:                 ~


  channel_moderator_permission01:
    rid:                        channel_moderator
    perm:                       manage channel media
    created_at:                 ~
  channel_moderator_permission02:
    rid:                        channel_moderator
    perm:                       manage channel user
    created_at:                 ~

